namespace Application.Abstractions.Crypto;

public interface ICryptoHubClient
{
    Task ReceiveTicker(CryptoHubData.TickerData ticker);
    Task ReceiveTickers(IReadOnlyList<CryptoHubData.TickerData> tickers);
    Task ReceiveTrade(CryptoHubData.TradeData trade);
    Task ReceiveOrderbook(CryptoHubData.OrderbookData orderbook);
    Task ReceiveCandle(CryptoHubData.CandleData candle);
}